Package org.zkoss.stateless.sul

## Interface ILayout<I extends ILayout>

- All Superinterfaces:
    `IComponent<I>`, `IHtmlBasedComponent<I>`, `IXulElement<I>`
  All Known Subinterfaces:
    `IHlayout<I>`, `IVlayout<I>`

      public interface ILayout<I extends ILayout>
      extends IXulElement<I>

  Immutable `Layout` interface.
  Author:
    katherine

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getSpacing()` | Returns the spacing between adjacent children, or null if the default spacing is used.
    `I` | `withSpacing​(java.lang.String spacing)` | Returns a copy of `this` immutable component with the specified `spacing`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetClass, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Method Detail

    - #### getSpacing

          @Nullable
          default java.lang.String getSpacing()

      Returns the spacing between adjacent children, or null if the default spacing is used.

      Default: `"0.3em"` (means to use the default spacing).

    - #### withSpacing

          I withSpacing​(@Nullable
                        java.lang.String spacing)

      Returns a copy of `this` immutable component with the specified `spacing`.

      Sets the spacing between adjacent children.

      Parameters:
        `spacing` - The spacing (such as "0", "5px", "3pt" or "1em"). If the spacing is set to "auto", null, or empty (""), the DOM style is left intact, so the spacing can be customized from CSS.

        Default: `"0.3em"`.

      Returns:
        A modified copy of the `this` object